Subject: Define precedence of states in workspace module
Description
The workspace module defines several states:
    -  edited
    -  moved
    -  created
    -  hidden
    -  deleted
However, e.g. these actions lead to wrong states:
    -  new record (hidden per default) is activated - shows "modified" instead of "new" 
    -  new record (visible per default) is deactivated - shows "hidden" instead of "new"

Associated revisions
Revision 01efa5c3 - 2014-06-17 15:00 - Oliver Hader

[BUGFIX] Define precedence of states in workspace module

The workspace module defines several states:
edited, moved, created, hidden, unhidden, deleted

The states "hidden" and "unhidden" are currently applied
after the action states. This change only uses the hidden
states if a record has been modified.

Resolves: #59118
Releases: 6.2
Change-Id: I95981306d61df38939a47579cb320dd93d51ce5b
Reviewed-on: https://review.typo3.org/30467
Reviewed-by: Wouter Wolters
Reviewed-by: Oliver Hader
Tested-by: Oliver Hader

History
#1 - 2014-05-28 12:38 - Oliver Hader
- Assigned To set to Oliver Hader

#2 - 2014-05-28 12:38 - Oliver Hader
- Status changed from New to Accepted
#3 - 2014-05-28 13:08 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/30467

#4 - 2014-06-17 15:30 - Oliver Hader
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:01efa5c3b05c84af9c62683243169d2fd205a264.
